2019-01-22 02:58 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002134NetSurf[All Projects] Generalpublic2015-03-10 11:03
ReporterVincent Sanders 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.2 
Target Version3.2Fixed in Version3.2 
Summary0002134: Plain text view gets line widths wrong and breaks lines inside utf-8 characters
DescriptionViewing plain text files in utf-8 causes lines to be broken as if all bytes of a multibyte utf-8 code point use a column.

This yields to broken display of characters when line wrapping and poor layout.
Steps To Reproduceload teh example webpage and change the window width, observe broken character display
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1923
URL of problem pagehttp://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-demo.txt
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000701

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-05-29 10:29 Vincent Sanders New Issue
2014-05-29 10:29 Vincent Sanders Status new => assigned
2014-05-29 10:29 Vincent Sanders Assigned To => Vincent Sanders
2014-05-29 10:31 Vincent Sanders Status assigned => resolved
2014-05-29 10:31 Vincent Sanders Resolution open => fixed
2014-05-29 10:31 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:03 Vincent Sanders Note Added: 0000701
2015-03-10 11:03 Vincent Sanders Status resolved => closed
+Issue History